Fork me on GitHub

Getting Started - Installing Ninja

Prerequisites

使用Ninja只需开发三件事:

  • JDK (Java开发套件),版本1.8及更高版本
  • Maven (项目管理工具),版本3.1.1及更高版本
  • 互联网连接(以获取库)

如果您已经安装了JDK和Maven,则可以安全地跳过以下部分.

注意: Ninja与Java 11兼容,我们将在长期支持下支持将来的Java版本.

Installing Java

Ninja使用Java作为编程语言,并使用Java虚拟机来运行您的应用程序. 您必须确保至少在1.8版中运行Java.

您可以通过执行以下命令来检查:

java -version

…打印出以下内容:

java version "1.8.0_171"
Java(TM) SE Runtime Environment (build 1.8.0_171-b11)
Java HotSpot(TM) 64-Bit Server VM (build 25.171-b11, mixed mode)java version "1.8.0_171"
Java(TM) SE Runtime Environment (build 1.8.0_171-b11)
Java HotSpot(TM) 64-Bit Server VM (build 25.171-b11, mixed mode)

如您所见,该机器正在运行Java 1.8.0_171. 如果您使用的是旧版本,请从以下位置安装最新的Java版本:

http://www.oracle.com/technetwork/java/javase/downloads/index.html

Installing Maven

Ninja使用称为Maven的Java工具来构建和创建新项目. 大多数基于Java的项目都使用Maven,很可能已经在计算机上安装了Maven. 让我们检查是否已安装Maven:

mvn -version

这将打印出您的Maven安装版本,类似于:

Apache Maven 3.1.1 (0728685237757ffbf44136acec0402957f723d9a; 2013-09-17 17:22:22+0200)
Maven home: /Users/user/applications/apache-maven-3.1.1
...
Default locale: en_US, platform encoding: UTF-8
OS name: "mac os x", version: "10.7.5", arch: "x86_64", family: "mac"

确保您使用的是Maven 3或更高版本. 如果您的计算机上没有Maven,请按照以下指南设置Maven:

http://maven.apache.org/guides/getting-started


by  ICOPY.SITE